/*

	File:		CAS_Drag.h

	Contains:	Constants and public function prototypes for CAS_Drag.c

	Written by:	David H Nelson

	Copyright  1993-1995 ComponentWorks, All rights reserved.

	Change History (most recent first):

		 <1>	 2/14/95	SJF		first checked in
		 <1>	 11/20/93	DHN		Created.

*/

#if !defined(_H_CAS_Drag)
#define _H_CAS_Drag


#if defined(__cplusplus)
extern "C"
{
#endif

pascal OSErr	Drag_DragReceiveHandler(	WindowPtr		theWindow,
											void*			handlerRefCon,
								 			DragReference	theDrag);
								  
pascal OSErr	Drag_DragTrackingHandler(	short			message,
											WindowPtr		theWindow,
							   				void*			handlerRefCon,
							   				DragReference	theDrag);

pascal OSErr	Drag_DragSendDataProc(		FlavorType		theType,
											void*			refCon,
											ItemReference	theItem,
											DragReference	theDrag);

Boolean			DragItem(					WindowPtr		theWindow,
											EventRecord*	theEvent);

Boolean			Drag_DragItem(				WindowPtr		theWindow,
											EventRecord		*theEvent );

Boolean			Drag_DragItemHasFlavor(		DragReference	theDrag,
											ItemReference	itemID,
											OSType			theType);


Handle			Drag_GetFlavorData (		DragReference theDrag, 
											ItemReference theItem,
											OSType theType);
											
#if defined(__cplusplus)
}
#endif


#endif
