/*

	File:		CAS_Event.h

	Contains:	Constants and public function prototypes for CAS_Event.c

	Written by:	David H Nelson

	Copyright  1993-1995 ComponentWorks, All rights reserved.

	Change History (most recent first):

		 <1>	 11/20/93	DHN		Created.
*/

#if !defined(_H_CAS_Event)
#define _H_CAS_Event


#if defined(__cplusplus)
extern "C"
{
#endif

Boolean Event_DoubleClick(EventRecord *theEvent);

void	Event_DoIdle(void);

void	Event_HandleNullEvent(EventRecord *theEvent);
void	Event_HandleMouseDownEvent(EventRecord *theEvent);
void	Event_HandleMouseUpEvent(EventRecord *theEvent);
void	Event_HandleKeyDownEvent(EventRecord *theEvent);
void	Event_HandleAutoKeyEvent(EventRecord *theEvent);
void	Event_HandleKeyUpEvent(EventRecord *theEvent);
void	Event_HandleActivateEvent(EventRecord *theEvent);
void	Event_HandleUpdateEvent(EventRecord *theEvent);
void	Event_HandleHighLevelEvent(EventRecord *theEvent);
void	Event_HandleOSEvent(EventRecord *theEvent);
void	Event_HandleDiskEvent(EventRecord *theEvent);

#if defined(__cplusplus)
}
#endif


#endif
