/*

	File:		CAS_Menu.h

	Contains:	This is the standard menu.h. It contains constants and 
				public function prototypes for menu.c

	Written by:	David H Nelson

	Copyright  1993-1995 ComponentWorks, All rights reserved.

	Change History (most recent first):

		 <1>	 11/20/93	DHN		Created.
*/

#if !defined(_H_menu)
#define _H_menu

// other constants
#define kAboutBoxID		128


#if defined(__cplusplus)
extern "C"
{
#endif

void Menu_SetUpMenus( void );
void Menu_AdjustMenus(
	WindowPtr	theWindow );
void Menu_HandleMenu(
	long		mSelect,
	WindowPtr	theWindow );

#if defined(__cplusplus)
}
#endif


#endif

