/*
	File:		CAS_Types.h

	Contains:	CASample type definitions

	Written by:	Rick Badertscher

	Copyright  1993-1995 Apple Computer, All rights reserved.

	Change History (most recent first):

		 <1>	 9/10/95	RB		Created.
*/

#if !defined(_H_CAS_Types)
#define _H_CAS_Types


typedef struct DocRecord	DocRecord,	*DocPtr,			**DocHandle;
typedef struct ElemList		ElemList,	*ElemListPtr;
typedef struct ElemColl		ElemColl,	*ElemCollPtr,		**ElemCollHandle;
typedef struct ElemNode		ElemNode,	*ElemNodePtr,		**ElemNodeHandle;
typedef struct ElemRec		ElemRec,	*ElemPtr,			**ElemHandle;
typedef struct IOStream		IOStream,	*IOStreamPtr;


#endif
